YAMDI(1)

NAME
yamdi - yet another metadata injector (flv)

SYNOPSIS
yamdi -i input file [-x xml file | -o output file [-x xml file]] [-t temporary file] [-c creator] [-a interval] [-skMXw] [-h]

DESCRIPTION
yamdi stands for Yet Another MetaData Injector and is a metadata injector for FLV files. It adds the onMetaData event to your FLV files.

OPTIONS

-i  The source FLV file. If the file name is '-' the input file will be read from stdin. Use the -t option to specify a temporary file.

-o  The resulting FLV file with the metatags. If the output file is '-' the FLV file will be written to stdout.

-x  An XML file with the resulting metadata information. If the output file is ommited, only metadata will be generated.

-t  A temporary file to store the source FLV file in if the input file is read from stdin.

-c  A string that will be written into the creator tag.

-s, -l
    Add the onLastSecond event. The -l option is deprecated and will be removed in a future version.

-k  Add the onLastKeyframe event.

-M  Strip all metadata from the FLV. The -s and -k options will be ignored.

-X  Omit the keyframes tag in the XML output.

-a  Time in milliseconds between keyframes if there is only audio. This option will be ignored if there is a video stream. No keyframes will be added if this option is omitted.

-w  Replace the input file with the output file. -i and -o are required to be different files otherwise this option will be ignored.

-h  Show summary of options.

EXIT STATUS
yamdi exits 0 on success, and >0 if an error occurs.

SEE ALSO
http://yamdi.sourceforge.net/

AUTHOR
yamdi was written by Ingo Oppermann

This manual page was written by Todd Troxell <ttroxell@debian.org>, for the Debian project (but may be used by others). Updated by Ingo Oppermann